## org.omg.CORBA
Class UnionDefHelper

    java.lang.Object
      |
      +--org.omg.CORBA.UnionDefHelper

public class UnionDefHelper
extends java.lang.Object

Helper class for : UnionDef

Author:
  OpenORB Compiler

Constructor Summary
`UnionDefHelper()`

Method Summary
`static UnionDef` `extract(Any a)` Extract UnionDef from an any
`static java.lang.String` `id()` Return the UnionDef IDL ID
`static void` `insert(Any a, UnionDef t)` Insert UnionDef into an any
`static UnionDef` `narrow(Object obj)` Narrow CORBA::Object to UnionDef
`static UnionDef` `read(InputStream istream)` Read UnionDef from a marshalled stream
`static TypeCode` `type()` Return the UnionDef TypeCode
`static UnionDef` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to UnionDef
`static void` `write(OutputStream ostream, UnionDef value)` Write UnionDef into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnionDefHelper

    public UnionDefHelper()

Method Detail

### insert

    public static void insert(Any a,
                              UnionDef t)

  Insert UnionDef into an any
  Parameters:
    `a` - an any
    `t` - UnionDef value

### extract

    public static UnionDef extract(Any a)

  Extract UnionDef from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted UnionDef value

### type

    public static TypeCode type()

  Return the UnionDef TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the UnionDef IDL ID
  Returns:
    an ID

### read

    public static UnionDef read(InputStream istream)

  Read UnionDef from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed UnionDef value

### write

    public static void write(OutputStream ostream,
                             UnionDef value)

  Write UnionDef into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - UnionDef value

### narrow

    public static UnionDef narrow(Object obj)

  Narrow CORBA::Object to UnionDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    UnionDef Object

### unchecked_narrow

    public static UnionDef unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to UnionDef
  Parameters:
    `obj` - the CORBA Object
  Returns:
    UnionDef Object